<?php

    include("../../classes/database.class.php");
    include("../../classes/entidadeModel.class.php");
    include("../../classes/entidadeController.class.php");

    $idEntidade = $_POST["idEntidade"];
    $idUsuario = $_POST["idUsuario"];
    $idTipoEntidade = $_POST["idTipoEntidade"];
    $nome = $_POST["nome"];
    $nomeComercial = $_POST["nomeComercial"];
    $bi = $_POST["bi"];
    $nif = $_POST["nif"];
    $localidade = $_POST["localidade"];
    $dataNasc = $_POST["dataNasc"];
    $morada = $_POST["morada"];
    $linhaPreco = $_POST["linhaPreco"];
    $retencaoFonte = $_POST["retencaoFonte"];
    $estado = $_POST["estado"];

    if($idUsuario == "0"){
        $idUsuario = null;
    }
    if($idTipoEntidade == "0"){
        $idTipoEntidade = null;
    }
    if($nome == ""){
        $nome = null;
    }
    if($nomeComercial == ""){
        $nomeComercial = null;
    }
    if($bi == ""){
        $bi = null;
    }
    if($nif == ""){
        $nif = null;
    }
    if($localidade == ""){
        $localidade = null;
    }
    if($dataNasc == ""){
        $dataNasc = null;
    }
    if($morada == ""){
        $morada = null;
    }
    if($retencaoFonte == ""){
        $retencaoFonte = null;
    }
    if($estado == ""){
        $estado = null;
    }

    $modelo = new EntidadeController($idUsuario, $idTipoEntidade, $nome, $nomeComercial, $bi, $nif, $localidade, $dataNasc, $morada, $linhaPreco, $retencaoFonte, $estado);
    $id = $modelo->updateEntidade($idEntidade);
    echo $id;